#
# spec file for package python-jupyter_watermark
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
Name:           python-jupyter_watermark
Version:        1.6.1
Release:        lp152.2.2
License:        BSD-3-Clause
Summary:        IPython magic function to psystem information
Url:            https://github.com/rasbt/watermark
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/w/watermark/watermark-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module jupyter_ipython}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-jupyter_ipython
BuildArch:      noarch

%python_subpackages

%description
An IPython magic extension for printing date and time stamps, version numbers,
and hardware information.

%prep
%setup -q -n watermark-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Sep  7 2018 toddrme2178@gmail.com
- Update to version 1.6.1
  * Include license file in wheels.
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Thu Apr 19 2018 toddrme2178@gmail.com
- Update to version 1.6.0
  * Adds a new -b/--gitbranch parameter that prints the current Git branch.
* Wed Nov  8 2017 toddrme2178@gmail.com
- Initial version
